Update custom app theme configuration
curl --request PATCH \
--url https://api.symmetry.com/i9/v1/applicationTheme \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custom_app_theme": {
"body": {
"color": "#000000"
},
"buttons": {
"variants": {
"primary": {
"backgroundColor": "#0066cc"
}
}
}
}
}
'import requests
url = "https://api.symmetry.com/i9/v1/applicationTheme"
payload = { "custom_app_theme": {
"body": { "color": "#000000" },
"buttons": { "variants": { "primary": { "backgroundColor": "#0066cc" } } }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custom_app_theme: {
body: JSON.stringify({color: '#000000'}),
buttons: {variants: {primary: {backgroundColor: '#0066cc'}}}
}
})
};
fetch('https://api.symmetry.com/i9/v1/applicationTheme', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"employerStatuses": [
{
"employerId": "01992ae8-efbb-7765-a6f1-a50bad7a2c65",
"status": "success"
},
{
"employerId": "01992ae8-efbb-7765-a6f1-a50bad7a2c64",
"error": "Rate limit exceeded",
"status": "failed"
}
],
"summary": {
"failed": 1,
"successful": 1,
"total": 2
},
"theme": {
"custom_app_theme": {
"body": {
"color": "#000000"
},
"buttons": {
"variants": {
"primary": {
"backgroundColor": "#0066cc"
}
}
}
}
}
}Update custom app theme configuration
Updates the existing custom app theme configuration for all employers under the account. Only the provided fields will be updated; other fields will remain unchanged. This will cascade the update to all employers’ subdomains. Returns a status report showing which domains succeeded or failed.
PATCH
/
v1
/
applicationTheme
Update custom app theme configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Partial custom app theme configuration object
Custom app theme configuration request
Custom app theme configuration object
Show child attributes
Show child attributes
Response
Successfully updated custom app theme
Was this page helpful?

